﻿"use strict";

////
// This script will build a dismissible alert with a session variable tied to the window protocol and host.
// ***Requires Jquery js.
// ***Requires Bootstrap 4 css.
$(function () {
    window.alertment = function() {
        // Set the alert template.
        var alert = "<div id='js-alertment' " +
            "class='alert fixed-bottom text-center mb-0 d-print-none'" +
            "style='background-color: #f96332 !important; border-color: #f96332 !important;'" +
            "role='alert'>" +
            "<strong>Test Environment</strong> You are in the test environment. Changes made in this environment do not persist in production." +
            "<button id='js-alertment-close' type='button' data-dismiss='alert' title='Dismiss alert'" +
            "style='border: 1px solid transparent; background: transparent; cursor: pointer;'>" +
            "<svg aria-hidden='true' class='svg-icon m0 iconClear' width='18' height='18' viewBox='0 0 18 18'><path d='M15 4.41L13.59 3 9 7.59 4.41 3 3 4.41 7.59 9 3 13.59 4.41 15 9 10.41 13.59 15 15 13.59 10.41 9z'></path></svg>" +
            "</button></div>";

        // Build the session variable.
        var getUrl = window.location;
        var baseUrl = getUrl.protocol + "//" + getUrl.host;
        var sessionVar = baseUrl + "_alertment";

        // Render the alert if we haven't told it to dismiss yet.
        if (sessionStorage.getItem(sessionVar) !== "dismissed") {
            $("body").prepend(alert);
        }

        // When the user clicks on the close button, store the preference in the session variable and remove the alert.
        $("#js-alertment-close").on("click",
            function() {
                sessionStorage.setItem(sessionVar, "dismissed");
                $("#js-alertment").remove();
            });
    };

    window.alertment();
});